<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LittleEndian (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LittleEndian (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9,"i24":9,"i25":9,"i26":9,"i27":9,"i28":9,"i29":9,"i30":9,"i31":9,"i32":9,"i33":9,"i34":9,"i35":9,"i36":9,"i37":9,"i38":9,"i39":9,"i40":9,"i41":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LittleEndian.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/JvmBugs.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
               title="class in org.apache.poi.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/LittleEndian.html" target="_top">Frames</a></li>
        <li><a href="LittleEndian.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.util</div>
    <h2 title="Class LittleEndian" class="title">Class LittleEndian</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.util.LittleEndian</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../org/apache/poi/util/LittleEndianConsts.html"
                           title="interface in org.apache.poi.util">LittleEndianConsts</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">LittleEndian</span>
extends java.lang.Object
implements <a href="../../../../org/apache/poi/util/LittleEndianConsts.html" title="interface in org.apache.poi.util">LittleEndianConsts</a></pre>
                <div class="block">a utility class for handling little-endian numbers, which the 80x86 world is
                    replete with. The methods are all static, and input/output is from/to byte
                    arrays, or from InputStreams.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Marc Johnson (mjohnson at apache dot org), Andrew Oliver (acoliver at apache dot org)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                        title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></span></code>
                                    <div class="block">Exception to handle buffer underruns</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.util.LittleEndianConsts">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/LittleEndianConsts.html"
                                        title="interface in org.apache.poi.util">LittleEndianConsts</a></h3>
                                <code><a href="../../../../org/apache/poi/util/LittleEndianConsts.html#BYTE_SIZE">BYTE_SIZE</a>,
                                    <a href="../../../../org/apache/poi/util/LittleEndianConsts.html#DOUBLE_SIZE">DOUBLE_SIZE</a>,
                                    <a href="../../../../org/apache/poi/util/LittleEndianConsts.html#INT_SIZE">INT_SIZE</a>,
                                    <a href="../../../../org/apache/poi/util/LittleEndianConsts.html#LONG_SIZE">LONG_SIZE</a>,
                                    <a href="../../../../org/apache/poi/util/LittleEndianConsts.html#SHORT_SIZE">SHORT_SIZE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getByteArray-byte:A-int-int-">getByteArray</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;size)</code>
                                    <div class="block">Copy a portion of a byte array</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getByteArray-byte:A-int-int-int-">getByteArray</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;size,
                                    int&nbsp;maxSize)</code>
                                    <div class="block">Copy a portion of a byte array</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getDouble-byte:A-">getDouble</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get a double value from a byte array, reads it in little endian
                                        format
                                        then converts the resulting revolting IEEE 754 (curse them) floating
                                        point number to a happy java double
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getDouble-byte:A-int-">getDouble</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get a double value from a byte array, reads it in little endian
                                        format
                                        then converts the resulting revolting IEEE 754 (curse them) floating
                                        point number to a happy java double
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getFloat-byte:A-">getFloat</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get a float value from a byte array, reads it in little endian
                                        format
                                        then converts the resulting revolting IEEE 754 (curse them) floating
                                        point number to a happy java float
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getFloat-byte:A-int-">getFloat</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get a float value from a byte array, reads it in little endian
                                        format
                                        then converts the resulting revolting IEEE 754 (curse them) floating
                                        point number to a happy java float
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getInt-byte:A-">getInt</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get an int value from the beginning of a byte array</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getInt-byte:A-int-">getInt</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get an int value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getLong-byte:A-">getLong</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get a long value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getLong-byte:A-int-">getLong</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get a long value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getShort-byte:A-">getShort</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get a short value from the beginning of a byte array</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getShort-byte:A-int-">getShort</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get a short value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static short[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getShortArray-byte:A-int-int-">getShortArray</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;size)</code>
                                    <div class="block">Read short array</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUByte-byte:A-">getUByte</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get the unsigned value of a byte.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUByte-byte:A-int-">getUByte</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get the unsigned value of a byte.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUInt-byte:A-">getUInt</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get an unsigned int value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUInt-byte:A-int-">getUInt</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get an unsigned int value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUShort-byte:A-">getUShort</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">get an unsigned short value from the beginning of a byte array
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#getUShort-byte:A-int-">getUShort</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">get an unsigned short value from a byte array</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putByte-byte:A-int-int-">putByte</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;value)</code>
                                    <div class="block">executes:</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putDouble-byte:A-int-double-">putDouble</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    double&nbsp;value)</code>
                                    <div class="block">put a double value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putDouble-double-java.io.OutputStream-">putDouble</a></span>(double&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">put a double value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putFloat-byte:A-int-float-">putFloat</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    float&nbsp;value)</code>
                                    <div class="block">put a float value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putFloat-float-java.io.OutputStream-">putFloat</a></span>(float&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">put a float value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putInt-byte:A-int-int-">putInt</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;value)</code>
                                    <div class="block">put an int value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putInt-int-java.io.OutputStream-">putInt</a></span>(int&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">Put int into output stream</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putLong-byte:A-int-long-">putLong</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    long&nbsp;value)</code>
                                    <div class="block">put a long value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putLong-long-java.io.OutputStream-">putLong</a></span>(long&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">Put long into output stream</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putShort-byte:A-int-short-">putShort</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    short&nbsp;value)</code>
                                    <div class="block">put a short value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putShort-java.io.OutputStream-short-">putShort</a></span>(java.io.OutputStream&nbsp;outputStream,
                                    short&nbsp;value)</code>
                                    <div class="block">Put signed short into output stream</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putShortArray-byte:A-int-short:A-">putShortArray</a></span>(byte[]&nbsp;data,
                                    int&nbsp;startOffset,
                                    short[]&nbsp;value)</code>
                                    <div class="block">Stores short array in buffer</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putUByte-byte:A-int-short-">putUByte</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    short&nbsp;value)</code>
                                    <div class="block">put an unsigned byte value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putUInt-byte:A-int-long-">putUInt</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    long&nbsp;value)</code>
                                    <div class="block">put an unsigned int value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putUInt-long-java.io.OutputStream-">putUInt</a></span>(long&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">Put unsigned int into output stream</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putUShort-byte:A-int-int-">putUShort</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;value)</code>
                                    <div class="block">put an unsigned short value into a byte array</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#putUShort-int-java.io.OutputStream-">putUShort</a></span>(int&nbsp;value,
                                    java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">Put unsigned short into output stream</div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#readInt-java.io.InputStream-">readInt</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">get an int value from an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#readLong-java.io.InputStream-">readLong</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">get a long value from an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#readShort-java.io.InputStream-">readShort</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">get a short value from an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#readUInt-java.io.InputStream-">readUInt</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">get an unsigned int value from an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#readUShort-java.io.InputStream-">readUShort</a></span>(java.io.InputStream&nbsp;stream)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/LittleEndian.html#ubyteToInt-byte-">ubyteToInt</a></span>(byte&nbsp;b)</code>
                                    <div class="block">Convert an 'unsigned' byte to an integer.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getByteArray-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getByteArray</h4>
                                <pre>public static&nbsp;byte[]&nbsp;getByteArray(byte[]&nbsp;data,
                                  int&nbsp;offset,
                                  int&nbsp;size)</pre>
                                <div class="block">Copy a portion of a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the original byte array</dd>
                                    <dd><code>offset</code> - Where to start copying from.</dd>
                                    <dd><code>size</code> - Number of bytes to copy.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The byteArray value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - - if copying would cause
                                        access of data outside array bounds.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/util/LittleEndian.html#getByteArray-byte:A-int-int-int-"><code>if
                                            size is not a constant</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getByteArray-byte:A-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getByteArray</h4>
                                <pre>public static&nbsp;byte[]&nbsp;getByteArray(byte[]&nbsp;data,
                                  int&nbsp;offset,
                                  int&nbsp;size,
                                  int&nbsp;maxSize)</pre>
                                <div class="block">Copy a portion of a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the original byte array</dd>
                                    <dd><code>offset</code> - Where to start copying from.</dd>
                                    <dd><code>size</code> - Number of bytes to copy.</dd>
                                    <dd><code>maxSize</code> - Size must be <= maxSize or an exception is thrown.
                                        Use this to avoid potential OOMs on corrupt data.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The byteArray value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - - if copying would cause
                                        access of data outside array bounds.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDouble-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDouble</h4>
                                <pre>public static&nbsp;double&nbsp;getDouble(byte[]&nbsp;data)</pre>
                                <div class="block">get a double value from a byte array, reads it in little endian
                                    format
                                    then converts the resulting revolting IEEE 754 (curse them) floating
                                    point number to a happy java double
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the double (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDouble-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDouble</h4>
                                <pre>public static&nbsp;double&nbsp;getDouble(byte[]&nbsp;data,
                               int&nbsp;offset)</pre>
                                <div class="block">get a double value from a byte array, reads it in little endian
                                    format
                                    then converts the resulting revolting IEEE 754 (curse them) floating
                                    point number to a happy java double
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the double (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFloat-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFloat</h4>
                                <pre>public static&nbsp;float&nbsp;getFloat(byte[]&nbsp;data)</pre>
                                <div class="block">get a float value from a byte array, reads it in little endian format
                                    then converts the resulting revolting IEEE 754 (curse them) floating
                                    point number to a happy java float
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the double (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFloat-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFloat</h4>
                                <pre>public static&nbsp;float&nbsp;getFloat(byte[]&nbsp;data,
                             int&nbsp;offset)</pre>
                                <div class="block">get a float value from a byte array, reads it in little endian format
                                    then converts the resulting revolting IEEE 754 (curse them) floating
                                    point number to a happy java float
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the double (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInt-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInt</h4>
                                <pre>public static&nbsp;int&nbsp;getInt(byte[]&nbsp;data)</pre>
                                <div class="block">get an int value from the beginning of a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the int (32-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInt-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInt</h4>
                                <pre>public static&nbsp;int&nbsp;getInt(byte[]&nbsp;data,
                         int&nbsp;offset)</pre>
                                <div class="block">get an int value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the int (32-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLong-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLong</h4>
                                <pre>public static&nbsp;long&nbsp;getLong(byte[]&nbsp;data)</pre>
                                <div class="block">get a long value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the long (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLong-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLong</h4>
                                <pre>public static&nbsp;long&nbsp;getLong(byte[]&nbsp;data,
                           int&nbsp;offset)</pre>
                                <div class="block">get a long value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the long (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShort-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShort</h4>
                                <pre>public static&nbsp;short&nbsp;getShort(byte[]&nbsp;data)</pre>
                                <div class="block">get a short value from the beginning of a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the short (16-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShort-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShort</h4>
                                <pre>public static&nbsp;short&nbsp;getShort(byte[]&nbsp;data,
                             int&nbsp;offset)</pre>
                                <div class="block">get a short value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the short (16-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShortArray-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShortArray</h4>
                                <pre>public static&nbsp;short[]&nbsp;getShortArray(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    int&nbsp;size)</pre>
                                <div class="block">Read short array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the original byte array</dd>
                                    <dd><code>offset</code> - Where to start copying from.</dd>
                                    <dd><code>size</code> - Number of bytes to copy.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - - if read would cause access
                                        of data outside array bounds.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUByte-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUByte</h4>
                                <pre>public static&nbsp;short&nbsp;getUByte(byte[]&nbsp;data)</pre>
                                <div class="block">get the unsigned value of a byte.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned value of the byte as a 16 bit short</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUByte-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUByte</h4>
                                <pre>public static&nbsp;short&nbsp;getUByte(byte[]&nbsp;data,
                             int&nbsp;offset)</pre>
                                <div class="block">get the unsigned value of a byte.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array.</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned value of the byte as a 16 bit short</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUInt-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUInt</h4>
                                <pre>public static&nbsp;long&nbsp;getUInt(byte[]&nbsp;data)</pre>
                                <div class="block">get an unsigned int value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned int (32-bit) value in a long</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUInt-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUInt</h4>
                                <pre>public static&nbsp;long&nbsp;getUInt(byte[]&nbsp;data,
                           int&nbsp;offset)</pre>
                                <div class="block">get an unsigned int value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned int (32-bit) value in a long</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUShort-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUShort</h4>
                                <pre>public static&nbsp;int&nbsp;getUShort(byte[]&nbsp;data)</pre>
                                <div class="block">get an unsigned short value from the beginning of a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned short (16-bit) value in an int</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUShort-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUShort</h4>
                                <pre>public static&nbsp;int&nbsp;getUShort(byte[]&nbsp;data,
                            int&nbsp;offset)</pre>
                                <div class="block">get an unsigned short value from a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned short (16-bit) value in an integer</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putByte-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putByte</h4>
                                <pre>public static&nbsp;void&nbsp;putByte(byte[]&nbsp;data,
                           int&nbsp;offset,
                           int&nbsp;value)</pre>
                                <div class="block">executes:
                                    <p>
                                        <code>
                                            data[offset] = (byte)value;
                                        </code>
                                    </p>
                                    Added for consistency with other put~() methods
                                </div>
                            </li>
                        </ul>
                        <a name="putDouble-byte:A-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putDouble</h4>
                                <pre>public static&nbsp;void&nbsp;putDouble(byte[]&nbsp;data,
                             int&nbsp;offset,
                             double&nbsp;value)</pre>
                                <div class="block">put a double value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the double (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putDouble-double-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putDouble</h4>
                                <pre>public static&nbsp;void&nbsp;putDouble(double&nbsp;value,
                             java.io.OutputStream&nbsp;outputStream)
                      throws java.io.IOException</pre>
                                <div class="block">put a double value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the double (64-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putFloat-byte:A-int-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putFloat</h4>
                                <pre>public static&nbsp;void&nbsp;putFloat(byte[]&nbsp;data,
                            int&nbsp;offset,
                            float&nbsp;value)</pre>
                                <div class="block">put a float value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the float (32-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putFloat-float-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putFloat</h4>
                                <pre>public static&nbsp;void&nbsp;putFloat(float&nbsp;value,
                            java.io.OutputStream&nbsp;outputStream)
                     throws java.io.IOException</pre>
                                <div class="block">put a float value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the float (32-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putInt-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putInt</h4>
                                <pre>public static&nbsp;void&nbsp;putInt(byte[]&nbsp;data,
                          int&nbsp;offset,
                          int&nbsp;value)</pre>
                                <div class="block">put an int value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the int (32-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putInt-int-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putInt</h4>
                                <pre>public static&nbsp;void&nbsp;putInt(int&nbsp;value,
                          java.io.OutputStream&nbsp;outputStream)
                   throws java.io.IOException</pre>
                                <div class="block">Put int into output stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the int (32-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putLong-byte:A-int-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putLong</h4>
                                <pre>public static&nbsp;void&nbsp;putLong(byte[]&nbsp;data,
                           int&nbsp;offset,
                           long&nbsp;value)</pre>
                                <div class="block">put a long value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the long (64-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putLong-long-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putLong</h4>
                                <pre>public static&nbsp;void&nbsp;putLong(long&nbsp;value,
                           java.io.OutputStream&nbsp;outputStream)
                    throws java.io.IOException</pre>
                                <div class="block">Put long into output stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the long (64-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putShort-byte:A-int-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putShort</h4>
                                <pre>public static&nbsp;void&nbsp;putShort(byte[]&nbsp;data,
                            int&nbsp;offset,
                            short&nbsp;value)</pre>
                                <div class="block">put a short value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the short (16-bit) value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putShort-java.io.OutputStream-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putShort</h4>
                                <pre>public static&nbsp;void&nbsp;putShort(java.io.OutputStream&nbsp;outputStream,
                            short&nbsp;value)
                     throws java.io.IOException</pre>
                                <div class="block">Put signed short into output stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the short (16-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putShortArray-byte:A-int-short:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putShortArray</h4>
                                <pre>public static&nbsp;void&nbsp;putShortArray(byte[]&nbsp;data,
                                 int&nbsp;startOffset,
                                 short[]&nbsp;value)</pre>
                                <div class="block">Stores short array in buffer</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>startOffset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the short (16-bit) values</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putUByte-byte:A-int-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putUByte</h4>
                                <pre>public static&nbsp;void&nbsp;putUByte(byte[]&nbsp;data,
                            int&nbsp;offset,
                            short&nbsp;value)</pre>
                                <div class="block">put an unsigned byte value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the short (16-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - may be thrown</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putUInt-byte:A-int-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putUInt</h4>
                                <pre>public static&nbsp;void&nbsp;putUInt(byte[]&nbsp;data,
                           int&nbsp;offset,
                           long&nbsp;value)</pre>
                                <div class="block">put an unsigned int value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the int (32-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - may be thrown</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putUInt-long-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putUInt</h4>
                                <pre>public static&nbsp;void&nbsp;putUInt(long&nbsp;value,
                           java.io.OutputStream&nbsp;outputStream)
                    throws java.io.IOException</pre>
                                <div class="block">Put unsigned int into output stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the int (32-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putUShort-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putUShort</h4>
                                <pre>public static&nbsp;void&nbsp;putUShort(byte[]&nbsp;data,
                             int&nbsp;offset,
                             int&nbsp;value)</pre>
                                <div class="block">put an unsigned short value into a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array</dd>
                                    <dd><code>offset</code> - a starting offset into the byte array</dd>
                                    <dd><code>value</code> - the short (16-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - may be thrown</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putUShort-int-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putUShort</h4>
                                <pre>public static&nbsp;void&nbsp;putUShort(int&nbsp;value,
                             java.io.OutputStream&nbsp;outputStream)
                      throws java.io.IOException</pre>
                                <div class="block">Put unsigned short into output stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the unsigned short (16-bit) value</dd>
                                    <dd><code>outputStream</code> - output stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readInt-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readInt</h4>
                                <pre>public static&nbsp;int&nbsp;readInt(java.io.InputStream&nbsp;stream)
                   throws java.io.IOException,
                          <a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                             title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></pre>
                                <div class="block">get an int value from an InputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the InputStream from which the int is to be read</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the int (32-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - will be propagated back to the caller</dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                        - if the stream cannot provide enough bytes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readUInt-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readUInt</h4>
                                <pre>public static&nbsp;long&nbsp;readUInt(java.io.InputStream&nbsp;stream)
                     throws java.io.IOException,
                            <a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                               title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></pre>
                                <div class="block">get an unsigned int value from an InputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the InputStream from which the int is to be read</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unsigned int (32-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - will be propagated back to the caller</dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                        - if the stream cannot provide enough bytes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readLong-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readLong</h4>
                                <pre>public static&nbsp;long&nbsp;readLong(java.io.InputStream&nbsp;stream)
                     throws java.io.IOException,
                            <a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                               title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></pre>
                                <div class="block">get a long value from an InputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the InputStream from which the long is to be read</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the long (64-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - will be propagated back to the caller</dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                        - if the stream cannot provide enough bytes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readShort-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readShort</h4>
                                <pre>public static&nbsp;short&nbsp;readShort(java.io.InputStream&nbsp;stream)
                       throws java.io.IOException,
                              <a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                 title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></pre>
                                <div class="block">get a short value from an InputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the InputStream from which the short is to be read</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the short (16-bit) value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - will be propagated back to the caller</dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                        - if the stream cannot provide enough bytes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readUShort-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readUShort</h4>
                                <pre>public static&nbsp;int&nbsp;readUShort(java.io.InputStream&nbsp;stream)
                      throws java.io.IOException,
                             <a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ubyteToInt-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ubyteToInt</h4>
                                <pre>public static&nbsp;int&nbsp;ubyteToInt(byte&nbsp;b)</pre>
                                <div class="block">Convert an 'unsigned' byte to an integer. ie, don't carry across the
                                    sign.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>b</code> - Description of the Parameter</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Description of the Return Value</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LittleEndian.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/JvmBugs.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
               title="class in org.apache.poi.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/LittleEndian.html" target="_top">Frames</a></li>
        <li><a href="LittleEndian.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
